Share via


Web Apps - List Perf Mon Counters

Description for Gets perfmon counters for web app.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/perfcounters?api-version=2025-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/perfcounters?api-version=2025-05-01&$filter={$filter}

URI Parameters

Name In Required Type Description
name
path True

string

Name of the app.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

$filter
query

string

Return only usages/metrics specified in the filter. Filter conforms to odata syntax. Example: $filter=(startTime eq 2014-01-01T00:00:00Z and endTime eq 2014-12-31T23:59:59Z and timeGrain eq duration'[Hour|Minute|Day]'.

Responses

Name Type Description
200 OK

PerfMonCounterCollection

Azure operation completed successfully.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

Name Description
DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

PerfMonCounterCollection

Collection of performance monitor counters.

PerfMonResponse

Performance monitor API response.

PerfMonSample

Performance monitor sample in a set.

PerfMonSet

Metric information.

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

PerfMonCounterCollection

Collection of performance monitor counters.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

PerfMonResponse[]

The PerfMonResponse items on this page

PerfMonResponse

Performance monitor API response.

Name Type Description
code

string

The response code.

data

PerfMonSet

The performance monitor counters.

message

string

The message.

PerfMonSample

Performance monitor sample in a set.

Name Type Description
instanceName

string

Name of the server on which the measurement is made.

time

string (date-time)

Point in time for which counter was measured.

value

number (double)

Value of counter at a certain time.

PerfMonSet

Metric information.

Name Type Description
endTime

string (date-time)

End time of the period.

name

string

Unique key name of the counter.

startTime

string (date-time)

Start time of the period.

timeGrain

string

Presented time grain.

values

PerfMonSample[]

Collection of workers that are active during this time.